Bug 1119941 - Mounting cifs fails beginning with 2.6.18-371.4.1.el5
Summary: Mounting cifs fails beginning with 2.6.18-371.4.1.el5
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.9
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Sachin Prabhu
QA Contact: Filesystem QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 22:24 UTC by Frank Sorenson
Modified: 2018-12-09 18:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-08 18:00:44 UTC


Attachments (Terms of Use)

Description Frank Sorenson 2014-07-15 22:24:52 UTC
Description of problem:

After upgrading the kernel to version 2.6.18-371.4.1.el5, the customer receives "mount error 13 = Permission denied" when trying to mount from a D-LINK NAS over cifs.  When the system is booted back to the earlier kernel (2.6.18-348.16.1.el5), the mounts work.

The 'permission denied' errors occur with the first user credentials (not the multiple session regression), and multiple security modes have been attempted.


Version-Release number of selected component (if applicable):

kernel 2.6.18-371.4.1.el5, 2.6.18-371.9.1.el5


How reproducible:

always


Steps to Reproduce:

$ mount -v -t cifs //host.example.com/Volume_1-2 /mnt/NAS -o rw,username=NAS-Full,password=XXXXXX

$ mount -v -t cifs //host.example.com/Volume_1-2 /mnt/NAS -o rw,credentials=/root/credentials.txt

$ mount -v -t cifs //host.example.com/Volume_1-2 /mnt/NAS -o rw,username=NAS-Full,password=XXXXX,sec=ntlm

etc.


Actual results:

$ mount -v -t cifs //host.example.com/Volume_1-2 /mnt/NAS -o rw,username=NAS-Full,password=XXXXXX

mount.cifs kernel mount options: unc=//host.example.com\Volume_1-2,ip=192.168.0.200,ver=1,rw,username=NAS-Full,pass=********
mount error 13 = Permission denied
Refer to the mount.cifs(8) manual page (e.g.man mount.cifs)


$ mount -v -t cifs //host.example.com/Volume_1-2 /mnt/NAS -o rw,username=NAS-Full,password=XXXXX,sec=ntlm

mount.cifs kernel mount options: unc=//host.example.com\Volume_1-2,ip=192.168.0.200,ver=1,rw,username=NAS-Full,sec=ntlm,pass=********
mount error 13 = Permission denied
Refer to the mount.cifs(8) manual page (e.g.man mount.cifs)


Expected results:

mount succeeds


Additional info:
cifs debugging shows NT_STATUS_WRONG_PASSWORD, and tcpdump comparison shows the password is 8 bytes longer with working kernel (working=24 bytes, non-working=16 bytes)

various security modes have been tried 

rebooting back to kernel 2.6.18-348.16.1.el5 makes the cifs mounts work again

customer also has Fedora 19, Fedora 20, and CentOS 6.5 systems which continue to work

the problem looks very much like bugzilla 1029865, however the 'permission denied' errors began with 2.6.18-371.4.1.el5, and the mount failures are occurring with the first mount and session

Comment 2 Chris Williams 2014-10-08 18:00:44 UTC
RHEL 5 is now in Production Phase 3.
https://access.redhat.com/support/policy/updates/errata/#Production_3_Phase
No further minor release are planned for this product.
This BZ is being closed as it does not meet phase 3 inclusion criteria.


Note You need to log in before you can comment on or make changes to this bug.